org.codehaus.groovy.groovydoc

## Interface GroovyParameter

All Known Implementing Classes:
  SimpleGroovyParameter

    public interface GroovyParameter

### Method Summary

Methods
`GroovyAnnotationRef[]` `annotations()`
`String` `defaultValue()`
`String` `name()`
`GroovyType` `type()`
`String` `typeName()`

### Method Detail

#### annotations

    GroovyAnnotationRef[] annotations()

#### name

    String name()

#### type

    GroovyType type()

#### typeName

    String typeName()

#### defaultValue

    String defaultValue()